#ifndef THTRA_H
#define THTRA_H
 
#include <QtGui>
 
class thtra : public QThread
{
	Q_OBJECT
 
public:
	thtra();

	int wl_width;
	int wl_height;
	int duree;
	int numtrans;
	int sequence;
	int increment_sequence;
	int valuefade;

	QColor tmpcolor1;
	QColor tmpcolor2;
	QColor tmpcolor3;
	QColor mycolor;
	QColor mycolor2;

	QImage srcImage;
	QImage srcImage2;
	QImage srcImage3;
	QImage dstImage;

	QRgb srcPixel;
	QRgb srcPixel2;
	QRgb srcPixel3;
	QRgb dstPixel;

	QString invert;

	void run();
	void finished();
	void scaleimg(int, int);

	signals:
	void myfin();




	/*int wl_width;
	int wl_height;
	int duree;
	int valuefade;

	QString invert;

	float increment_sequence;
	float sequence;

	QString wl_var_1;
	QString wl_var_2;

	QString wstartfile;
	QString wendfile;

	long k;
	long n;
	long o;

	long rendering_number;
	int numtrans;
	long progress;

	QString wpathprojet;

	QColor tmpcolor1;
	QColor tmpcolor2;
	QColor tmpcolor3;
	QColor mycolor;
	QColor mycolor2;

	QImage srcImage3;

	void run();
	void finished();

	signals:
	void myfin(); 
	void nextstep();*/
};
 
 
#endif
